OMNI-bot para Enemy Territory - Scripts para facilitar o uso

Publicado por Felipe Ruiz Peixoto em 05/04/2012

[ Hits: 7.105 ]

Blog: https://www.ubuntu.com/

 


OMNI-bot para Enemy Territory - Scripts para facilitar o uso



Se você não conhece o jogo Wolfenstein Enemy Territory, recomendo que você o instale, é um excelente jogo!

Agora para quem já tem o Enemy Territory, deve saber que ele não vem com os 'bots', que são os soldados controlados pelo computador.

Para tê-los, basta baixar e configurar o pacote chamado “omni-bot”.

Alguns também devem ter percebido, que o áudio tem algum problema que o impede de ser inicializado, forçando o usuário a precisar de comandos no terminal antes de começar o jogo.

Para facilitar e fazer tudo de uma só vez, eu fiz alguns Scripts que fazem todo o trabalho para você, onde você apenas digita suas escolhas e os diretórios.

Para funcionar, antes você precisa ter:

- Wolfenstein Enemy Territory 2.60 instalado (meio óbvio)
- Omni-bot_0.81_ET_Linux
Aqui vai alguns pacotes que tenho instalado para o áudio, pode ser útil:
  • libasound2
  • linux-sound-base
  • oss-compat

Agora, vou explicar como utilizar os Scripts que criei;

- omnibot_sound:

O 'omnibot_sound' é o Script que inicializa o áudio do jogo, antes de inicializar o jogo. Se o som só funcionar com algum comando no terminal, escreva-o neste arquivo.

- omnibot_start:

Este pequeno Script executa o 'omnibot_sound' e depois o Enemy Territory com 'bots' e tudo mais automaticamente. Se você precisar modificar o comando que inicializa o jogo, ele está neste arquivo, e começa com 'et'.

- INSTALL_OMNIBOT_AUTOSETUP:

O Script mais importante, ele configura automaticamente o 'omni-bot', o 'omnibot_sound' e o 'omnibot_start'. Para funcionar, é preciso que você baixe o pacote do OMNI-bot, e extraia ele na mesma pasta onde está a pasta com os meus scripts. É de extrema importância que você digite corretamente os diretórios que forem pedidos por este Script. Você pode modificá-lo à seu gosto, mas só se você REALMENTE souber o que está fazendo. ;D

- OMNIBOT_AUTOSETUP:

Este Script configura os 'bots' automaticamente. É bastante útil e pode ser até divertido. Com ele você cria novos 'bots' com o nome que quiser, modifica a dificuldade deles, o armamento, o número de 'bots' a ser usado, entre outras coisas. Também só recomendo modificá-lo se você REALMENTE souber o que está fazendo.

O link para download é: https://sourceforge.net - omnibotauto

Se precisarem de qualquer ajuda, mande-me uma mensagem, verei o que posso fazer.

Outras dicas deste autor

Minetest Mods no Ubuntu - Pacote completo

Minetest - Pacote de expansão

"RPG Maker" escrito em Python e Pygame

Web-ICQ no GNU/Linux - Como colocar no site e criar botão para executar

Rastreando seu computador com Python via e-mail

Leitura recomendada

Adicionando cor ao comando echo

Usando comandos *nix portados para Windows

Controle de usuários logados

Sistema de backup em shell script

Substituir espaços em branco por underlines em nome de arquivos

  

Comentários
[1] Comentário enviado por mcnd2 em 05/04/2012 - 21:47h

Então Felipe, tenho instalado o ET mais o som não está funcionando.

Já tentei de tudo até alguns comando como nos comentários desse meu artigo ( http://vivaolinux.com.br/artigo/Wolfenstein-Enemy-Territory-e-Hidden-e-Dangerous-Deluxe-no-Debian-Le... ), mas sem sucesso.

Será que você tem alguma dica para deixar o som desse excelente jogo funcionar numa boa (uso debian stable)?

Em relação aos 'bots', no artigo citado também não estava conseguindo colocar para funcionar, mais agora com a sua dica vou tentar ver se coloco os bots para 'lutar', rsrss...

[2] Comentário enviado por mcnd2 em 06/04/2012 - 11:41h

Felipe, os links disponibilizado por você na sua dica não estão funcionando.

São eles:
http://www.omni-bot.com/
https://1qjjgg.bay.livefilestore.com


[3] Comentário enviado por RuizBRX11 em 13/04/2012 - 18:50h

mcnd2, bom dia ! Desculpe a demora.

Eu uso o Debian tambem e aqui funciona perfeitamente, basta ter meu programa para configurar o audio automaticamente, e o ALSA-OSS instalado.

Execute meu programa pelo terminal, e se aparecer erros, coloque-os aqui, para eu poder ver o que posso fazer.

Vou procurar outros links por aqui, estes parecem que "sairam do ar".

[4] Comentário enviado por mcnd2 em 15/04/2012 - 00:13h

O som resolvi instalando o pacote "oss-compat" que ficou redondo.

Agora como tenho uma internet não tão ruim da pra entrar na batalha contra ou a favor dos alemãs, rsrsrsrs...

Vamos a guerra!

E assim que os links tiverem disponibilizado, peça algum moderador para alterá-lo em sua dica, vlw...



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts